%global oname tlslite

Name:           python-tlslite
License:        BSD
Group:          Development/Libraries
Summary:        Python module for SSL/TLS support
Version:        0.4.1
Release:        2%{?dist}
URL:            http://trevp.net/tlslite/
Source0:        https://github.com/downloads/trevp/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
TLS Lite is an open source Python library that implements SSL and
TLS. TLS Lite supports RSA and SRP cipher suites. TLS Lite is pure
Python, however it can use other libraries for faster crypto
operations. TLS Lite integrates with several stdlib networking
libraries.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build
chmod a-x README

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# scripts are of limited usefulness, put them in docs
rm -f %{buildroot}%{_bindir}/tls*.py


%files
%{python_sitelib}/tlslite
%{python_sitelib}/%{oname}-*.egg-info
%doc scripts/tls*.py
%doc LICENSE README

%changelog
* Wed Aug 22 2012 Andy Grover <agrover@redhat.com> - 0.4.1-2
- Move tls*.py to doc, based on reviewer feedback

* Tue Aug 21 2012 Andy Grover <agrover@redhat.com> - 0.4.1-1
- Initial packaging
